package com.mymart;

import java.util.ArrayList;

/**
 * Klasse zum abspeichern eines Einkaufswagens mit inhalt
 * @author p8q-yhw-u1
 */
public class ShoppingCart {
    private ArrayList<CartItem> items;
    
    /**
     * initialisiert einen leeren Einkaufswagen
     */
    public ShoppingCart() {
        this.items = new ArrayList<CartItem>();
    }
    
    /**
     * Fügt einen Artikel hinzu
     * @param item der hinzuzufügende Artikel
     */
    public void addItem(CartItem item) {
        this.items.add(item);
    }
    
    /**
     * Liefert den Gesamtpreis aller Artikel im Einkaufswagen
     * @return
     */
    public double getTotalCost() {
        double cost = 0;
        for (CartItem item : items) {
            cost += item.getCost();
        }
        return cost;
    }
    
    /**
     * Gibt den Kassenbon für den Einkaufswagen aus
     */
    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (CartItem item : items) {
            sb.append(item);
        }
        sb.append(String.format("%nSumme:%55.2f%n", this.getTotalCost()));
        return sb.toString();
    }
}