package de.hsh.zahlenarraytest;

import java.util.Arrays;

import de.hsh.prog.zahlenarray.Zahlenarray;

/**
 * Verbesserung der Zahlenarray Klasse für Zeitmessung und Optimierung
 * @author p8q-yhw-u1
 *
 */
public class MeinZahlenarray extends Zahlenarray {
    
    private Zeitmesser zm;
    private int[] zahlen;
    
    private int abfragen;

    /**
     * Initialisiert ein sortiertes Zahlenarray
     * @param anzahl Größe des Arrays
     * @param max Obergrenze der Zufallszahlen mit denen das Array gefüllt wird
     */
    public MeinZahlenarray(int anzahl, int max) {
        super(anzahl, max);
        
        this.zm = new Zeitmesser();
        
        this.zahlen = super.getZahlenArray();
        
        zm.start();
        Arrays.sort(zahlen);
        zm.stop();
    }
    
    /**
     * Gibt zurück, ob eine Zahl i mindestens einmal im Array vorhanden ist
     */
    @Override
    public boolean istEnthalten(int i) {
        this.zm.start();
        boolean result = Arrays.binarySearch(zahlen, i) >= 0;
        this.zm.stop();
        
        this.abfragen++;
        
        return result;
    }
    
    /**
     * Gibt die durchschnittliche Abfragezeit der istEnthalten Funktion zurück
     * @return
     */
    public double getDurchschnittlicheAbfragezeit() {
        return (double) this.zm.getGemesseneGesamtzeit() / this.abfragen;
    }
    
}
