package de.hsh.zahlenarraytest;

/**
 * Klasse zum Messen von Zeit in Milisekunden
 * @author p8q-yhw-u1
 *
 */
public class Zeitmesser {
    
    private boolean running = false;
    
    private long startTime;
    private long sumTime = 0;
        
    /**
     * Startet eine Zeitmessung
     */
    public void start() {
        if (this.running) throw new IllegalStateException("Zeitmessung läuft bereits.");
        
        this.running = true;
        this.startTime = System.currentTimeMillis();
    }
    
    /**
     * Beendet eine Zeitmessung
     */
    public void stop() {
        if (! this.running) throw new IllegalStateException("Zeitmessung bereits gestoppt.");
        
        this.running = false;
        this.sumTime += System.currentTimeMillis() - this.startTime;
    }
    
    /**
     * Liefert die Summe aller beendeten Zeitmessungen
     * @return Summe aller beendeten Zeitmessungen
     */
    public long getGemesseneGesamtzeit() {
        if (this.running) throw new IllegalStateException("Zeitmessung läuft noch.");
        return this.sumTime;
    }
}
