
/**
 * Klasse für Spieler eines Fußballspiels
 * @author p8q-yhw-u1
 *
 */
public class Spieler {
    private static int anzahlSpieler = 0;
    public static final int MAX_PLAYERS = 11;
    
    private String name;
    private int nummer;
    
    /**
     * Erzeugt ein Spieler-Objekt mit einem bestimmen Namen.
     * Spielernummer wird aus der Anzahl der bereits erstellten Spieler automatisch festgelegt
     * Es dürfen maximal MAX_PLAYERS (11) Spieler erstellt werden.
     * @param name
     */
    public Spieler(String name) {
        this.name = name;
        this.nummer = ++anzahlSpieler;
        if (this.nummer > MAX_PLAYERS) {
            throw new IllegalStateException("Mehr als " + MAX_PLAYERS + " Spieler sind verboten!");
        }
    }
    
    /**
     * Gibt den Spieler in folgendem Format als String zurück:
     * Name (Nummer)
     */
    public String toString() {
        return String.format("%s (%d)", this.name, this.nummer);
    }
}
