import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * Klasse um zip Dateien zu erkennen
 * @author p8q-yhw-u1
 *
 */
public class DetectZip {
    public static void main(String[] args) {
        if (args.length != 1) {
            error();
            return;
        }
        
        try {
            FileInputStream f = new FileInputStream(new File(args[0]));
            
            byte[] zipBytes = {0x50, 0x4B};
            
            byte[] fileBytes = new byte[zipBytes.length];
            
            f.read(fileBytes, 0, zipBytes.length);
            
            for (int i = 0; i < zipBytes.length; i++) {
                if (zipBytes[i] != fileBytes[i]) {
                    System.out.println("no zip");
                    return;
                }
            }
            
            System.out.println("zip");
            return;
            
        } catch (FileNotFoundException e) {
            error();
            return;
        } catch (IOException e) {
            error();
            return;
        }
    }
    
    /**
     * Gibt eine Fehlermeldung aus
     * Redundanzvermeidung
     */
    public static void error() {
        System.out.println("error");
        // System.exit(1) - nicht möglich wegen Graja, deswegen: error(); return;
    }
}
